Subject: [FIX] Add hr_designation
Author: iboussetta
Committer: iboussetta

Date Level Type Message
2019-03-14 12:24:07 INFO runbot init Init build environment
2019-03-14 12:24:18 INFO runbot test_all Start test all modules
2019-03-14 12:25:15 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_translate tested in 8.25s, 25627 queries
2019-03-14 12:25:20 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 56.20s, 48248 queries
2019-03-14 12:25:42 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base_import.tests.test_base_import tested in 9.70s, 232 queries
2019-03-14 12:26:21 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_gateway tested in 5.18s, 4915 queries
2019-03-14 12:26:51 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.calendar.tests.test_calendar tested in 7.20s, 5813 queries
2019-03-14 12:27:03 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.event.tests.test_event_flow tested in 5.50s, 4300 queries
2019-03-14 12:28:10 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.product.tests.test_variants tested in 7.97s, 7979 queries
2019-03-14 12:29:23 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_crm_lead tested in 8.70s, 6724 queries
2019-03-14 12:29:32 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_lead2opportunity tested in 8.81s, 6737 queries
2019-03-14 12:30:01 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays.tests.test_holidays_flow tested in 11.82s, 5544 queries
2019-03-14 12:30:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project.tests.test_access_rights tested in 6.97s, 5163 queries
2019-03-14 12:32:22 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_payroll.tests.test_payslip_flow tested in 6.10s, 1120 queries
2019-03-14 12:32:55 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.survey.tests.test_survey tested in 14.14s, 11746 queries
2019-03-14 12:33:55 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.purchase_request.tests.test_purchase_flow tested in 10.06s, 3386 queries
2019-03-14 12:34:24 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.website_forum.tests.test_forum tested in 6.08s, 4663 queries
2019-03-14 12:35:10 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_attendance_extend.tests.test_authorization_flow tested in 5.54s, 1302 queries
2019-03-14 12:35:37 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_deputation.tests.test_deputation_flow tested in 11.29s, 4024 queries
2019-03-14 12:36:08 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays_extend.tests.test_holidays_flow tested in 14.68s, 6961 queries
2019-03-14 12:36:49 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_training_flow tested in 10.44s, 4683 queries
2019-03-14 12:37:18 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project_maintenance.tests.test_project_maintenance_flow tested in 10.86s, 6309 queries
2019-03-14 12:38:17 WARNING server odoo.modules.loading:506 reset_modules_state Transient module states were reset
2019-03-14 12:38:17 ERROR server odoo.modules.registry:90 new
Failed to load registry
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 338, in _tag_function
    _eval_xml(self, rec, env)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 194, in _eval_xml
    return odoo.api.call_kw(model, method, args, {})
  File "/opt/odoo/odoo11/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo11/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09173-1273-7be522/addons/hr_designation/models/hr_designation.py", line 237, in button_accept_hr_master
    message = 'لقد تم اعتماد طلب تعيين الموظف %s ' % self.employee_id.complete_name
  File "/opt/odoo/odoo11/odoo/fields.py", line 935, in __get__
    record.ensure_one()
  File "/opt/odoo/odoo11/odoo/models.py", line 4366, in ensure_one
    raise ValueError("Expected singleton: %s" % self)
ValueError: Expected singleton: hr.designation(1, 2, 3, 4, 5, 6, 7, 8, 9)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 184, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='demo')
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 338, in _tag_function
    _eval_xml(self, rec, env)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 194, in _eval_xml
    return odoo.api.call_kw(model, method, args, {})
  File "/opt/odoo/odoo11/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo11/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09173-1273-7be522/addons/hr_designation/models/hr_designation.py", line 237, in button_accept_hr_master
    message = 'لقد تم اعتماد طلب تعيين الموظف %s ' % self.employee_id.complete_name
  File "/opt/odoo/odoo11/odoo/fields.py", line 935, in __get__
    record.ensure_one()
  File "/opt/odoo/odoo11/odoo/models.py", line 4366, in ensure_one
    raise ValueError("Expected singleton: %s" % self)
odoo.tools.convert.ParseError: "Expected singleton: hr.designation(1, 2, 3, 4, 5, 6, 7, 8, 9)" while parsing /mnt/vdb/odoo/addons_runbot/runbot/static/build/09173-1273-7be522/addons/hr_designation/data/designation_demo.xml:176, near
<function model="hr.designation" name="button_accept_hr_master" eval="[[ref('hr_designation_1'), ref('hr_designation_2'), ref('hr_designation_3'), ref('hr_designation_4'), ref('hr_designation_5'), ref('hr_designation_6'), ref('hr_designation_7'), ref('hr_designation_8'), ref('hr_designation_9')]]"/>
2019-03-14 12:38:17 CRITICAL server odoo.service.server:961 preload_registries
Failed to initialize database `09173-1273-7be522-all`.
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 338, in _tag_function
    _eval_xml(self, rec, env)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 194, in _eval_xml
    return odoo.api.call_kw(model, method, args, {})
  File "/opt/odoo/odoo11/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo11/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09173-1273-7be522/addons/hr_designation/models/hr_designation.py", line 237, in button_accept_hr_master
    message = 'لقد تم اعتماد طلب تعيين الموظف %s ' % self.employee_id.complete_name
  File "/opt/odoo/odoo11/odoo/fields.py", line 935, in __get__
    record.ensure_one()
  File "/opt/odoo/odoo11/odoo/models.py", line 4366, in ensure_one
    raise ValueError("Expected singleton: %s" % self)
ValueError: Expected singleton: hr.designation(1, 2, 3, 4, 5, 6, 7, 8, 9)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/service/server.py", line 932, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 184, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='demo')
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 338, in _tag_function
    _eval_xml(self, rec, env)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 194, in _eval_xml
    return odoo.api.call_kw(model, method, args, {})
  File "/opt/odoo/odoo11/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo11/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09173-1273-7be522/addons/hr_designation/models/hr_designation.py", line 237, in button_accept_hr_master
    message = 'لقد تم اعتماد طلب تعيين الموظف %s ' % self.employee_id.complete_name
  File "/opt/odoo/odoo11/odoo/fields.py", line 935, in __get__
    record.ensure_one()
  File "/opt/odoo/odoo11/odoo/models.py", line 4366, in ensure_one
    raise ValueError("Expected singleton: %s" % self)
odoo.tools.convert.ParseError: "Expected singleton: hr.designation(1, 2, 3, 4, 5, 6, 7, 8, 9)" while parsing /mnt/vdb/odoo/addons_runbot/runbot/static/build/09173-1273-7be522/addons/hr_designation/data/designation_demo.xml:176, near
<function model="hr.designation" name="button_accept_hr_master" eval="[[ref('hr_designation_1'), ref('hr_designation_2'), ref('hr_designation_3'), ref('hr_designation_4'), ref('hr_designation_5'), ref('hr_designation_6'), ref('hr_designation_7'), ref('hr_designation_8'), ref('hr_designation_9')]]"/>
2019-03-14 12:38:23 INFO runbot run Start running build 09173-1273-7be522
2019-03-14 12:38:25 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 0.24s, 0 queries
2019-03-14 12:38:26 INFO server odoo.modules.loading:234 load_module_graph 133 modules loaded in 0.93s, 0 queries
2019-03-14 15:22:35 INFO runbot _ask_kill Killing build 09173-1273-7be522, requested by Administrator (user #1)
2019-03-14 15:23:28 INFO runbot kill Kill build 09173-1273-7be522